{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends 'flux/detail.html.twig' %}
{#{% form_theme form with ['@DatatourismeWebApp/Form/bootstrap_3_horizontal_layout.html.twig', _self] %}#}

{% block subcontent %}
    {{ form_start(form, {'attr': {'class': 'flux-params'}}) }}
        <div class="box-body">
            {{ form_row(form.name) }}
            {{ form_row(form.description) }}

            <fieldset>
                <legend>
                    <div class="col-sm-offset-2">
                        <span class="fa fa-refresh fa-fw"></span> Mise à jour du flux
                        <small>Cette section concerne les options de mise à jour du flux.</small>
                    </div>
                </legend>

                {# strategy block #}
                {{ form_row(form.processStrategy) }}

                {# complete processStrategy description #}
                <div class="item" id="item_0" data-visibility-target="#flux_detail_processStrategy" data-visibility-value="1">
                    <div class="row">
                        <div class="col-sm-offset-2 col-sm-10">
                            <div class="small-box bg-gray-light">
                                <div class="icon-heading">
                                    <i class="fa fa fa-refresh"></i>
                                </div>
                                <div class="inner">
                                    Lorsque le flux est configuré en <strong>Traitement complet</strong>, tous les POI
                                    absents du flux sont supprimés du dataset à l'issue du traitement. Vous devez
                                    sélectionner cette option si votre flux contient l'intégralité des POI.
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                {# differential processStrategy description #}
                <div class="item" id="item_0" data-visibility-target="#flux_detail_processStrategy" data-visibility-value="2">
                    <div class="row">
                        <div class="col-sm-offset-2 col-sm-10">
                            <div class="small-box bg-gray-light">
                                <div class="icon-heading">
                                    <i class="fa fa fa-exchange"></i>
                                </div>
                                <div class="inner">
                                    Lorsque le flux est configuré en <strong>Traitement différentiel</strong>, la
                                    suppression d'un POI doit être explicitement déclarée dans le flux : la propriété "est obsolète" dans les règles d'alignement vous permet de spécifier le format de
                                    cette déclaration. Si la valeur est vrai, le POI n'est pas publié sur le dataset DATAtourisme. Vous devez sélectionner cette option si votre flux contient
                                    des POI supprimés depuis le traitement précédent.
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                {# end strategy block #}

                {# mode block #}
                {{ form_row(form.mode) }}

                {# manual mode description #}
                <div class="item" id="item_0" data-visibility-target="#flux_detail_mode" data-visibility-value="manual">
                    <div class="row">
                        <div class="col-sm-offset-2 col-sm-10">
                            <div class="small-box bg-gray-light">
                                <div class="icon-heading">
                                    <i class="fa fa fa-hand-o-up"></i>
                                </div>
                                <div class="inner">
                                    Avec le mode de mise à jour <b>Manuel</b>, le flux est mis à jour manuellement en utilisant le bouton
                                    <a {% if flux.mode == 'manual' and is_granted('flux.start', flux) %}href="{{ path('flux.import.manual', {id: flux.id}) }}" data-toggle="modal-remote"{% else %}disabled="disabled"{% endif %} class="btn btn-primary btn-xs"><span class="fa fa-hand-o-up"></span> &nbsp;Importation manuelle</a>
                                    situé dans l'entête de la page de détail du flux.
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                {# pull mode description #}
                <div class="item" id="item_0" data-visibility-target="#flux_detail_mode" data-visibility-value="pull">
                    <div class="row">
                        <div class="col-sm-offset-2 col-sm-10">
                            <div class="small-box bg-gray-light">
                                <div class="icon-heading">
                                    <i class="fa fa fa-upload"></i>
                                </div>
                                <div class="inner">
                                    Avec le mode de mise à jour <b>Récupération</b>, la plateforme va télécharger régulièrement le flux sur une adresse web spécifique. Vous devez donc renseigner l'adresse URL de récupération et indiquer l'heure à partir de laquelle la plateforme est sûre de récupérer un flux à jour :
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                {{ form_row(form.fluxCrawler.url) }}
                {{ form_row(form.fluxCrawler.i18nUrls) }}
                {{ form_row(form.fluxCrawler.updateHour) }}
                {{ form_row(form.fluxCrawler.sshKey) }}

                {# push mode description #}
                <div class="item" id="item_0" data-visibility-target="#flux_detail_mode" data-visibility-value="push">
                    <div class="row">
                        <div class="col-sm-offset-2 col-sm-10">
                            <div class="small-box bg-gray-light">
                                <div class="icon-heading">
                                    <i class="fa fa fa-download"></i>
                                </div>
                                <div class="inner">
                                    Avec le mode de mise à jour <b>Envoi</b>, le flux est directement envoyé à la plateforme par un serveur tiers. Pour configurer l'envoi du flux, vous devez utiliser les paramètres suivants :
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Méthode d'envoi</label>
                        <div class="col-sm-10">
                            <samp class="form-control">POST</samp>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Adresse</label>
                        <div class="col-sm-10">
                            <samp class="form-control">{{ url('flux.import', {id: flux.apiId}) }}</samp>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Formats acceptés</label>
                        <div class="col-sm-10">
                            <samp class="form-control">XML, ZIP</samp>
                            <span class="help-text">Le format ZIP doit contenir exclusivement des fichiers au format XML</span>
                        </div>
                    </div>
                </div>

                {# end mode block #}
            </fieldset>

            {# web notification block #}
            <fieldset class="m-t-10">
                <legend>
                    <div class="col-sm-offset-2">
                        <span class="fa fa-bullhorn fa-fw"></span> Notifications web
                        <small>Cette section concerne les options de notification suite à l'intégration d'un flux par la
                            plateforme.
                        </small>
                    </div>
                </legend>

                {{ form_row(form.success_url) }}
                {{ form_row(form.fail_url) }}
            </fieldset>
            {# end notification block #}

        </div>

        {# footer #}
        {% if is_granted('flux.edit', flux) %}
            <div class="box-footer">
                <div class="row">
                    <div class="col-sm-offset-2 col-sm-10">
                        <button type="submit" class="btn btn-primary">Enregistrer</button>
                    </div>
                </div>
            </div>
        {% endif %}
    {{ form_end(form) }}
{% endblock %}